Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Search offerings.

Search offerings. An organization-scoped read using JSON filter arguments; requires catalog.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/search_offerings
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
capacitystring
now_msstring<date-time>required
pagination_optsobjectrequired
Show properties
cursorstring | nullrequired
Show properties
Any of:
string
string
null
null
num_itemsintegerrequired
min 1 · max 100
program_idstring

Opaque Soljio resource ID.

min length 1
searchstring
statusstring
Responses
200

Successful read.

dataobjectrequired
Show properties
can_manage_catalogbooleanrequired
has_morebooleanrequired
next_cursorstring | nullrequired
Show properties
Any of:
string
string
null
null
rowsobject[]required
Show properties
Array of object
accepted_payment_methodsstring[]
Show properties
Array of string
Any of:
string
string
string
string
string
string
string
string
string
string
capacitynumber
capacity_statestring
confirmed_countnumber
descriptionstring
hidden_from_public_catalogbooleanrequired
idstringrequired

Opaque Soljio resource ID.

min length 1
instructor_idsstring[]
location_idstring

Opaque Soljio resource ID.

min length 1
location_namestring
namestringrequired
next_session_atstring<date-time>
payment_collection_modestring
Show properties
Any of:
string
string
string
string
string
string
price_amount_minornumber
price_currencystring
program_idstringrequired

Opaque Soljio resource ID.

min length 1
program_namestringrequired
session_countnumber
slugstringrequired
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
term_idstring

Opaque Soljio resource ID.

min length 1
waitlist_countnumberrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/search_offerings' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "capacity": "string",
  "now_ms": "2019-08-24T14:15:22Z",
  "pagination_opts": {
    "cursor": "string",
    "num_items": 1
  },
  "program_id": "string",
  "search": "string",
  "status": "string"
}'
Response
{
  "data": {
    "can_manage_catalog": true,
    "has_more": true,
    "next_cursor": "string",
    "rows": [
      {
        "accepted_payment_methods": [
          "cash"
        ],
        "capacity": 0,
        "capacity_state": "string",
        "confirmed_count": 0,
        "description": "string",
        "hidden_from_public_catalog": true,
        "id": "string",
        "instructor_ids": [
          "string"
        ],
        "location_id": "string",
        "location_name": "string",
        "name": "string",
        "next_session_at": "2019-08-24T14:15:22Z",
        "payment_collection_mode": "none",
        "price_amount_minor": 0,
        "price_currency": "string",
        "program_id": "string",
        "program_name": "string",
        "session_count": 0,
        "slug": "string",
        "status": "draft",
        "term_id": "string",
        "waitlist_count": 0
      }
    ]
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}

Was this page helpful?